package gov.va.shared.persistence;

import java.util.List;

import gov.va.shared.model.GrantableRole;
import gov.va.shared.model.Role;

public interface GrantableRoleDAO extends AppDAO<GrantableRole> {

	List<Role> findGrantableRolesForRole(long roleId);

	List<Role> findAllGrantableRolesForUser(long appUserId);
	
}
